Loading...
Searching...
No Matches
Gudhi::alpha_complex::SimplicialComplexForAlpha3d Struct Reference

The concept SimplicialComplexForAlpha3d describes the requirements for a type to implement a simplicial complex, that can be created from a Alpha_complex_3d. More...

`#include <concept/Alpha_complex/SimplicialComplexForAlpha3d.h>`

## Public Types

typedef unspecified | Vertex_handle
typedef unspecified | Filtration_value

## Public Member Functions

std::size_t | num_vertices ()
void | insert_simplex (std::vector< Vertex_handle > const &vertex_range, Filtration_value filtration)
| Inserts a simplex from a given simplex (represented by a vector of Vertex_handle) in the simplicial complex with the given 'filtration' value.
void | make_filtration_non_decreasing ()
void | prune_above_filtration (Filtration_value filtration)

## Detailed Description

The concept SimplicialComplexForAlpha3d describes the requirements for a type to implement a simplicial complex, that can be created from a Alpha_complex_3d.

## Member Typedef Documentation

## Filtration_value

typedef unspecified Gudhi::alpha_complex::SimplicialComplexForAlpha3d::Filtration_value

Handle to specify the simplex filtration value.

## Vertex_handle

typedef unspecified Gudhi::alpha_complex::SimplicialComplexForAlpha3d::Vertex_handle

Handle to specify a vertex. Must be a non-negative integer.

## Member Function Documentation

## make_filtration_non_decreasing()

void Gudhi::alpha_complex::SimplicialComplexForAlpha3d::make_filtration_non_decreasing | ( |  | ) |

Browses the simplicial complex to make the filtration non-decreasing.

## num_vertices()

std::size_t Gudhi::alpha_complex::SimplicialComplexForAlpha3d::num_vertices | ( |  | ) |

Returns the number of vertices in the simplicial complex.

## prune_above_filtration()

void Gudhi::alpha_complex::SimplicialComplexForAlpha3d::prune_above_filtration | ( | Filtration_value | filtration | ) |

Prune the simplicial complex above 'filtration' value given as parameter.

The documentation for this struct was generated from the following file:

- concept/Alpha_complex/SimplicialComplexForAlpha3d.h